Documentation Index

Fetch the complete documentation index at: https://developer.comm100.com/llms.txt

Use this file to discover all available pages before exploring further.

Shift Config

Prev Next

Shift Config

You need the Manage Settings permission to manage shift config.

Shift Config JSON Format

Shift Config is represented as simple flat JSON objects with the following keys:

Name Type Description
isEnabled bool Whether shift config is enabled or not.

Get a single Shift Config

GET livechat/shiftConfig

  • Parameters:

No Parameters

  • Response:

Shift Config

  • Example

Sample Request:

curl https://api11.comm100.io/v4/livechat/shiftConfig \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "isEnabled": true
} 

Disable the Shift Config

POST livechat/shiftConfig:disable

  • Parameters:

No Parameters

  • Response:

Shift Config

  • Example

Sample Request:

curl https://api11.comm100.io/v4/livechat/shiftConfig:disable \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "isEnabled": false
} 

Enable the Shift Config

POST livechat/shiftConfig:enable

  • Parameters:

No Parameters

  • Response:

Shift Config

  • Example

Sample Request:

curl https://api11.comm100.io/v4/livechat/shiftConfig:enable \ 
    -X 'POST' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "isEnabled": true
} 
Copyright © 2026 Comm100 Network Corporation. All Rights Reserved.